### Method

# Gtk Buttonset_can_shrink

since: 4.12

#### Declaration [src]

    void
    gtk_button_set_can_shrink (
      GtkButton* button,
      gboolean can_shrink
    )

#### Description [src]

Sets whether the button size can be smaller than the natural size of its contents.

For text buttons, setting `can_shrink` to true will ellipsize the label.

For icons and custom children, this function has no effect.

Available since: 4.12

Sets property | `Gtk.Button:can-shrink`

#### Parameters

`can_shrink`

  Type: `gboolean`

  Whether the button can shrink.